Subject: Re: 1.3.9: rsync daemon 2.5.1 broken
From: Pat <[email-masked]>
To: David Starks-Browning <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Feb 2002 15:07:11 -0600

On Thu, Feb 07, 2002 at 07:40:34PM +0000, David Starks-Browning wrote:
> >From the rsync man page:
> 
>        --modify-window
>               When  comparing  two  timestamps  rsync  treats the
>               timestamps as being equal if they  are  within  the
>               value  of modify_window. This is normally zero, but
>               you may find it useful to  set  this  to  a  larger
>               value  in  some  situations.  In  particular,  when
>               transferring to/from FAT filesystems  which  cannot
>               represent  times  with  a  1 second resolution this
>               option is useful.
> 
> Try --modify-window=2.  Let us know if that's the right solution.

These files (the ones that are being unecessarily copied) haven't changed 
their mod times in months or years...  Ah, but you mean that the representation
is different on win and it can't hold the time to the same precision...
I'll give it a try...  I hadn't realized that.

> > Basically I think rsync under cygwin is just behaving badly.
> 
> On Win98.  Not Cygwin's fault.

I'm sorry to be down on rsync ;)  I really want it to work but I've had lots
of issues...  When I'm done I'll write up a page on what I had to do to get
everything working and put it up somewhere for other people.

> Lapo, that might be a good thing to mention in the
> /usr/doc/Cygwin/rsync-<ver>.README file.

The only cygwin speific thing I noticed in the docs was a mention of 
the option to not fork the daemon, which it says is important on cygwin.
But I didn't notice a difference.

Thanks for the quick response,
Pat Niemeyer
Author of Learning Java, O'Reilly & Associates

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/